CC = ICC8051 -f D:\C51\BIN\ICC8051.XCL
ASM = A8051

!if $d(ROM)
ZOPT1=-Z(CODE)INTVEC,RCODE,D_CDATA,I_CDATA,X_CDATA,C_ICALL,C_RECFN,CSTR,CCSTR,CODE,CONST=0
ZOPT2=-Z(CODE)COVR=E000
TARGET=ROM
!else
ZOPT1=-Z(CODE)INTVEC,RCODE,D_CDATA,I_CDATA,X_CDATA,C_ICALL,C_RECFN,CSTR,CCSTR,CODE,CONST,COVR=E000
ZOPT2=
TARGET=RAM
!endif

.c.r03 :
  -1 $(CC) $<

.s03.r03 :
   $(ASM) $<


progr.bin : progr.hex

!if $d(ROM)
        hex2bin progr.hex progr.rom
!else
        hex2bin progr.hex progr.ram
      - prgmtr.exe progr.ram -run
!endif
#       Insert new chip here
progr.hex : progr.xcl \
            progr.r03 \
            cstartup.r03 \
            xfer.r03 \
            prgprocs.r03 \
            fnn.r03 \
            27xx.r03 \
            28f256a.r03 \
            892051.r03 \
            90s1200.r03 \
            8951.r03 \
            556rtxx.r03 \
            610910.r03 \
            hardw.r03 \
            vars.r03 \
            ovr.r03 \
            run.r03 \
            asmprocs.r03 \
            io.r03
 XLINK progr.r03 -f progr.XCL -xsme -o progr.hex -l progr.map

cstartup.r03 : cstartup.s03

xfer.r03 : xfer.c xfer.h

vars.r03 : vars.c vars.h cmd.h

prgprocs.r03 : prgprocs.c xfer.h cmd.h prgprocs.h hardw.h

hardw.r03 : hardw.c xfer.h cmd.h hardw.h

ovr.r03 : ovr.s03

asmprocs.r03 : asmprocs.s03

run.r03 : run.s03

io.r03 : io.s03

#       Insert new chip here
fnn.r03 : fnn.c xfer.h cmd.h hardw.h ovr.h \
27xx.h 28F256A.h 892051.h 90s1200.h 8951.h

27xx.r03 : 27xx.c cmd.h hardw.h vars.h

28f256a.r03 : 28f256a.c cmd.h hardw.h vars.h

892051.r03 : 892051.c cmd.h hardw.h

90s1200.r03 : 90s1200.c cmd.h hardw.h vars.h

8951.r03 : 8951.c cmd.h hardw.h

556rtxx.r03 : 556rtxx.c cmd.h hardw.h

610910.r03 : 610910.c cmd.h hardw.h

#       Insert new chip here
progr.xcl:
 @copy &&|
cstartup.r03
io.r03
-C xfer.r03
-C prgprocs.r03
-C fnn.r03
-C vars.r03
-C hardw.r03
-C asmprocs.r03
-C run.r03
-C ovr.r03
-C 27xx.r03
-C 28f256a.r03
-C 892051.r03
-C 90s1200.r03
-C 8951.r03
-C 556rtxx.r03
-C 610910.r03

-!                 -LNK8051.XCL-

         䠩  XLINK 4.2x  ᯮ짮 
        ஬  8051 V4.xx.   
         -mt, -ms, -mc, -mm  -ml.
         :  XLINK  <' 䠩()> -f lnk8051

        ࢮ : 㪠            -!

-c8051

-FMSD-I

-!  롮  ࠡ ॣ஢ [0,8,10 or 18] -!

-D_R=0


-!   ᥣ "bit" (ᥣ  , ᫨  㦭 १ࢨ஢
    ⮢   㣨 楫) -!

-Z(BIT)C_ARGB,BITVARS=0


-!   ᥣ "data". 砫    
    , 祬 _R+8 ( ᯮ㥬  ࠡ ॣ஢ + 8).
     ⠪ ⠢ , ᫨ ᯮ 㭪樨 interrupt
     ਡ⮬ "using". ਬ, ᫨ _R=0  । 㭪-
    뢠 "using [1]",  砫    10h. -!

-Z(DATA)C_ARGD,D_UDATA,D_IDATA=8


-!   ᥣ "idata" (筮 㦠 ᫥ "data") -!

-Z(IDATA)C_ARGI,I_UDATA,I_IDATA,CSTACK


-!   ᥣ "xdata"  砫  譥  .
     '   訡,  ᫨ ਬ 
    ,  ᯮ 譥  . -!

-Z(XDATA)C_ARGX,X_UDATA,X_IDATA,ECSTR,RF_XDATA=0


-!    ᥣ, 室騥    ணࠬ (筮  0) -!

$(ZOPT1)
$(ZOPT2)

-!  롮 ଠ⨧  㭪権 printf/sprintf (. ਫ 
    ᠭ   -!

-e_small_write=_formatted_write


-!  롮 ଠ⨧  㭪権 scanf/sscanf (. ਫ 
    ᠭ   -!

-e_medium_read=_formatted_read


-!  㧨 ⥪, ᮮ⢥ ᯮ짮襩 
    樨    -!

-C D:\C51\LIB\cl8051t

-!   祭 ⫠筮 ଠ樨  室 䠩 -!

-!
-r
-!
| progr.xcl

