unit Consts;
interface

const
      C_PassWord   = $1;
      C_Answer     = $2;
      C_ErRxd      = $10;
      C_ErNA       = $11;
      C_ErKA       = $12;
      C_ErSize     = $13;
      C_ErSa       = $14;
      C_ErUs1      = $15;
      C_ErUs2      = $16;
      C_ErNoWr     = $17;
      C_WrTrue     = $18;
      C_GetBlock   = $19;
      C_US1        = $80;
      C_Block      = $40;
      C_ErNoCan    = $1A;
      C_ErNoDevice = $1B;
      C_ErClose    = $1C;
      C_Delay      = 5;
      C_Clear	   = C_WrTrue;
      C_NoClear	   = C_ErNoWr;

      fErRxd       = $0001;
      fGetBlock    = $0002;
      fWrTrue      = $0004;
      fErNoWr      = $0008;
      fErKa        = $0010;
      fErSa        = $0020;
      fErSize      = $0040;
      fErUs1       = $0080;
      fErUs2       = $0100;
      fErNa        = $0200;
      fErNoDevice  = $0400;
      fErNoCan     = $0800;
      fErClose     = $1000;

      fUs1   = $01;
      fNa    = $02;
      fKa    = $04;
      fSa    = $08;
      fUpr   = $10;
      fOzu   = $20;
      fConst = $40;
      fUs2   = $80;

      fWrite: boolean = false;
      fRead : boolean = false;

      InputName: array[0..15] of string =
           (' 奬',
           '⥭ 奬',
           '஢ઠ   奬',
           '஢ઠ   ࠭',
           '࠭ 奬',
           'ࠢ ᨢ',
           ' ⠭',
           '⠭ ண. 殮',
           '⨥ ண. 殮',
           '१',
           '१',
           '१',
           '१',
           '१',
           '१',
           '१');

      WinCount: integer =1;

const Mode: array[0..15] of string =
            (' 奬',
             '⥭ 奬',
             '஢ઠ   奬',
             '஢ઠ    ࠭',
             '࠭ 奬',
             'ࠢ ᨢ',
             ' ⠭',
             '⠭ ணࠬ饣 殮',
             '⨥ ணࠬ饣 殮',
             '१',
             '१',
             '१',
             '१',
             '१',
             '१',
             '१');

   SetupInputName: string = '';
implementation
end.